commit:     3cc1c5be1081952771c7f09469994ab6f25ed79e
Author:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Tue Oct  1 23:40:41 2019 +0000
Commit:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Tue Oct  1 23:43:06 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3cc1c5be

media-libs/libpagemaker: EAPI-7 bump, consolidate live build switch

Package-Manager: Portage-2.3.76, Repoman-2.3.17
Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>

 media-libs/libpagemaker/libpagemaker-9999.ebuild | 38 +++++++++++++-----------
 1 file changed, 21 insertions(+), 17 deletions(-)

diff --git a/media-libs/libpagemaker/libpagemaker-9999.ebuild 
b/media-libs/libpagemaker/libpagemaker-9999.ebuild
index ce90d99852b..35b64943085 100644
--- a/media-libs/libpagemaker/libpagemaker-9999.ebuild
+++ b/media-libs/libpagemaker/libpagemaker-9999.ebuild
@@ -1,44 +1,48 @@
-# Copyright 1999-2018 Gentoo Foundation
+# Copyright 1999-2019 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=6
+EAPI=7
 
-EGIT_REPO_URI="git://gerrit.libreoffice.org/${PN}.git"
-[[ ${PV} == 9999 ]] && inherit autotools git-r3
-
-DESCRIPTION="C++ Library that parses the file format of Aldus/Adobe PageMaker 
documents."
+if [[ ${PV} = *9999 ]]; then
+       EGIT_REPO_URI="git://gerrit.libreoffice.org/${PN}.git"
+       inherit autotools git-r3
+else
+       SRC_URI="http://dev-www.libreoffice.org/src/${PN}/${P}.tar.xz";
+       KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux 
~x86-linux"
+fi
+DESCRIPTION="C++ Library that parses the file format of Aldus/Adobe PageMaker 
documents"
 HOMEPAGE="https://wiki.documentfoundation.org/DLP/Libraries/${PN}";
-[[ ${PV} == 9999 ]] || 
SRC_URI="http://dev-www.libreoffice.org/src/${PN}/${P}.tar.xz";
 
 LICENSE="MPL-2.0"
 SLOT="0"
-
-[[ ${PV} == 9999 ]] || \
-KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~x86 ~amd64-linux ~x86-linux"
 IUSE="debug doc tools"
 
+BDEPEND="
+       virtual/pkgconfig
+       doc? ( app-doc/doxygen )
+"
 RDEPEND="
        dev-libs/librevenge
 "
 DEPEND="${RDEPEND}
        dev-libs/boost
-       virtual/pkgconfig
-       doc? ( app-doc/doxygen )
 "
 
 src_prepare() {
        default
-       [[ ${PV} == 9999 ]] && eautoreconf
+       [[ ${PV} == *9999 ]] && eautoreconf
 }
 
 src_configure() {
-       econf \
-               --disable-werror \
-               $(use_with doc docs) \
+       local myeconfargs=(
+               --disable-werror
+               $(use_with doc docs)
                $(use_enable tools)
+       )
+       econf "${myeconfargs[@]}"
 }
 
 src_install() {
        default
-       find "${D}" -name '*.la' -delete || die
+       find "${D}" -name '*.la' -type f -delete || die
 }

Reply via email to